two ways of defining flip behaviour:

- through native browser events for flip and flip-back (e.g. click, mouseenter, …)
- through isFlipped true|false

only one of these can be used. `isFlipped` is prioritized if both were to be used.

### Hierarchy

- Flip

## Index

### Properties

- element
- flipBackEvents
- flipDuration
- flipEvents
- flipState
- flipTimingFunction
- isFlipped

### Methods

- componentDidLoad
- componentWillLoad
- componentWillUpdate
- flip
- render

## Properties

### element

element: HTMLElement

- Defined in flip/flip.tsx:31

### flipBackEvents

flipBackEvents: string

- Defined in flip/flip.tsx:34

### flipDuration

flipDuration: number

- Defined in flip/flip.tsx:35

### flipEvents

flipEvents: string

- Defined in flip/flip.tsx:33

### flipState

flipState: boolean

- Defined in flip/flip.tsx:39

### flipTimingFunction

flipTimingFunction: string

- Defined in flip/flip.tsx:36

### isFlipped

isFlipped: boolean

- Defined in flip/flip.tsx:37

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in flip/flip.tsx:51

  add options to the element (duration, timingfunction).

  #### Returns void

### componentWillLoad

- componentWillLoad(): void

- - Defined in flip/flip.tsx:44

  #### Returns void

### componentWillUpdate

- componentWillUpdate(): void

- - Defined in flip/flip.tsx:65

  handling the `is-flipped` attribute. usually this is used together with modern frameworks.

  #### Returns void

### flip

- flip(): void

- - Defined in flip/flip.tsx:99

  #### Returns void

### render

- render(): Element

- - Defined in flip/flip.tsx:104

  #### Returns Element